apache-airflow-providers-yandex

Changelog

3.11.1

Misc

  • `` AIP-21: yandexcloud: rename files, emit deprecation warning (#39618)``

  • yandex provider: bump version for yq http client package (#39548)

  • Faster 'airflow_version' imports (#39552)

  • add doc about Yandex Query operator (#39445)

  • Simplify 'airflow_version' imports (#39497)

3.11.0

Note

This release of provider is only available for Airflow 2.7+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump minimum Airflow version in providers to Airflow 2.7.0 (#39240)

3.10.0

Features

  • Add Yandex Query support from Yandex.Cloud (#37458)

Misc

  • support iam token from metadata, simplify code (#38411)

  • Avoid use of 'assert' outside of the tests (#37718)

3.9.0

Features

  • Add secrets-backends section into the Yandex provider yaml definition (#37065)

Bug Fixes

  • fix: using endpoint from connection if not specified (#37076)

3.8.0

Features

  • feat: add Yandex Cloud Lockbox secrets backend (#36449)

Bug Fixes

  • Fix stacklevel in warnings.warn into the providers (#36831)

3.7.1

Bug Fixes

  • Follow BaseHook connection fields method signature in child classes (#36086)

3.7.0

Note

This release of provider is only available for Airflow 2.6+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump minimum Airflow version in providers to Airflow 2.6.0 (#36017)

3.6.0

Features

  • Yandex dataproc deduce default service account (#35059)

3.5.0

Note

This release of provider is only available for Airflow 2.5+ as explained in the Apache Airflow providers support policy.

Misc

  • Bump min airflow version of providers (#34728)

3.4.0

Note

This release dropped support for Python 3.7

Features

  • add support for Yandex Dataproc cluster labels (#29811)

3.3.0

Features

  • support Yandex SDK feature "endpoint" (#29635)

3.2.0

Note

This release of provider is only available for Airflow 2.3+ as explained in the Apache Airflow providers support policy <https://github.com/apache/airflow/blob/main/PROVIDERS.rst#minimum-supported-version-of-airflow-for-community-managed-providers>`_.

Features

  • In YandexCloudBaseHook, non-prefixed extra fields are supported and are preferred (#27040). E.g. folder_id will be preferred if extra__yandexcloud__folder_id is also present.

Misc

  • Move min airflow version to 2.3.0 for all providers (#27196)

3.1.0

Features

  • YandexCloud provider: Support new Yandex SDK features for DataProc (#25158)

3.0.0

Breaking changes

Note

This release of provider is only available for Airflow 2.2+ as explained in the Apache Airflow Apache Airflow providers support policy <https://github.com/apache/airflow/blob/main/PROVIDERS.rst#minimum-supported-version-of-airflow-for-community-managed-providers>`_.

2.2.3

Bug Fixes

  • Fix mistakenly added install_requires for all providers (#22382)

2.2.2

Misc

  • Add Trove classifiers in PyPI (Framework :: Apache Airflow :: Provider)

2.2.1

Misc

  • Support for Python 3.10

2.2.0

Features

  • YandexCloud provider: Support new Yandex SDK features: log_group_id, user-agent, maven packages (#20103)

2.1.0

Misc

  • Optimise connection importing for Airflow 2.2.0

Features

  • Add autoscaling subcluster support and remove defaults (#17033)

2.0.0

Breaking changes

  • Auto-apply apply_default decorator (#15667)

Warning

Due to apply_default decorator removal, this version of the provider requires Airflow 2.1.0+. If your Airflow version is < 2.1.0, and you want to install this provider version, first upgrade Airflow to at least version 2.1.0. Otherwise your Airflow package version will be upgraded automatically and you will have to manually run airflow upgrade db to complete the migration.

1.0.1

Updated documentation and readme files.

1.0.0

Initial version of the provider.

Was this entry helpful?